Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBar.ToolBarPosition

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionToolBar.ToolBarPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionToolBar

    public static final class QStyleOptionToolBar.ToolBarPosition

extends java.lang.Enum
implements QtEnumerator

See the description for details.

This enum is used to describe the position of a toolbar line, as well as the toolbar's position within the line.

The order of the positions within a line starts at the top of a vertical line, and from the left within a horizontal line. The order of the positions for the lines is always from the the parent widget's boundary edges.

See also:
  positionWithinLine, and positionOfLine.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionToolBar.ToolBarPosition` | `Beginning` The toolbar is located at the beginning of the line, or the toolbar line is the first of several lines.
`static QStyleOptionToolBar.ToolBarPosition` | `End` The toolbar is located at the end of the line, or the toolbar line is the last of several lines.
`static QStyleOptionToolBar.ToolBarPosition` | `Middle` The toolbar is located in the middle of the line, or the toolbar line is in the middle of several lines.
`static QStyleOptionToolBar.ToolBarPosition` | `OnlyOne` There is only one toolbar or line.

Method Summary
`static QStyleOptionToolBar.ToolBarPosition` | `resolve(int value)` Returns the QStyleOptionToolBar$ToolBarPosition constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionToolBar.ToolBarPosition` | `valueOf(java.lang.String name)`
`static QStyleOptionToolBar.ToolBarPosition[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Beginning

    public static final QStyleOptionToolBar.ToolBarPosition Beginning

  The toolbar is located at the beginning of the line, or the toolbar line is the first of several lines. There can only be one toolbar (and only one line) with this position.

### Middle

    public static final QStyleOptionToolBar.ToolBarPosition Middle

  The toolbar is located in the middle of the line, or the toolbar line is in the middle of several lines. There can several toolbars (and lines) with this position.

### End

    public static final QStyleOptionToolBar.ToolBarPosition End

  The toolbar is located at the end of the line, or the toolbar line is the last of several lines. There can only be one toolbar (and only one line) with this position.

### OnlyOne

    public static final QStyleOptionToolBar.ToolBarPosition OnlyOne

  There is only one toolbar or line. This is the default value of the positionOfLine and positionWithinLine variables.

Method Detail

### values

    public static QStyleOptionToolBar.ToolBarPosition[] values()

### valueOf

    public static QStyleOptionToolBar.ToolBarPosition valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionToolBar.ToolBarPosition resolve(int value)

  Returns the QStyleOptionToolBar$ToolBarPosition constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD